List SSH keys
GET
/v1/ssh_keysTo see all the SSH keys you have, make a GET request to the /v1/ssh_keys endpoint. This operation allows using the query parameters for output modification.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Query Parameters
label_selector?string
This parameter will filter results by labels. More details in the Labels section.
per_page?integer
The number of results [ 1 .. 100 ] displayed on a page. By default, 20 results are shown.
Range
1 <= value <= 100Default
20page?integer
The number of a page (>= 1) that will be returned. By default, it's 1.
Range
1 <= valueDefault
1sorting?string
This parameter sorts items. By default, it's id. Also, it's possible to sort by updated_at and created_at.
Default
"created_at"Value in
- "name"
- "created_at"
- "updated_at"
direction?string
This parameter defines if items are sorted in an ascending ASC or descending DESC order. By default, ASC is set up.
Default
"ASC"Value in
- "ASC"
- "DESC"
Response Body
application/json
curl -X GET "https://example.com/v1/ssh_keys"[ { "name": "ssh_key_52", "fingerprint": "97:c1:12:7e:1c:88:f6:77:6c:9b:cf:8d:ba:bb:8e:f52", "labels": { "environment": "production", "service": "my-web-app", "example.com/project": "my-project", "example.com/owner": "my-team" }, "updated_at": "2026-05-28T07:02:30Z", "created_at": "2026-05-28T07:02:30Z" }, { "name": "ssh_key_53", "fingerprint": "97:c1:12:7e:1c:88:f6:77:6c:9b:cf:8d:ba:bb:8e:f53", "labels": { "environment": "production", "service": "my-web-app", "example.com/project": "my-project", "example.com/owner": "my-team" }, "updated_at": "2026-05-28T07:02:30Z", "created_at": "2026-05-28T07:02:30Z" }]